# N9 command-line interface utilities
# N9 Package manager
# 2007 cyberlight systems research lab

import sys;
import string
import N9;
import os.path;
import shutil;


def print_Help():
    print """n9pkgctl - codename:N9 package management utility.
licensed under GPL v.2
(c) 2007 cyberlight systems
usage:
\tn9pkgctl install PACKAGE-FILE
\tn9pkgctl remove PACKAGE-NAME
\tn9pkgctl export PACKAGE-NAME PACKAGE-FILE
\tn9pkgctl list
where:
\tPACKAGE-FILE    - .tgz package file name
\tPACKAGE-NAME    - package name"""

def print_Error():
    print 'Invalid arguments. Run n9pkgctl with "-help" switch for exploring usage';

 
if __name__ == '__main__':
    VNC = False;
    if len(sys.argv) <= 1:
        print_Help();
    else:
        if len(sys.argv) == 2 and (string.upper(sys.argv[1]) == '--HELP' or
         string.upper(sys.argv[1]) == '-HELP' or
         string.upper(sys.argv[1]) == '-H' or
         string.upper(sys.argv[1]) == '-?' or
         string.upper(sys.argv[1]) == '/?'):
            print_Help();
        else:
            if len(sys.argv) > 2 and string.upper(sys.argv[1]) == 'INSTALL':
                N9.install_Package(sys.argv[2])
            if len(sys.argv) > 2 and string.upper(sys.argv[1]) == 'REMOVE':
                N9.delete_Package(sys.argv[2])
            if len(sys.argv) > 2 and string.upper(sys.argv[1]) == 'EXPORT':
                shutil.copyfile(N9.get_PackageFile(sys.argv[2]), sys.argv[3])
            if (len(sys.argv)) > 1 and (string.upper(sys.argv[1]) == 'LIST'):
                print '****************************** installed packages ******************************'
                for l in N9.get_PackagesList():
                    print l

            
            



