#/usr/bin/python
#
# codename: N9 backup/restore utility
# (c) 2007 cyberlight systems research lab
import N9;
import os;
import os.path;
import string;
import sys;

def print_Help():
    print """n9config - codename:N9 global configuration utility.
licensed under GPL v.2
(c) 2007 cyberlight systems
usage:
\tn9config display          -display config
\tn9config set param=value  -set parameter equals to value

where:
\tparam - global config parameters key. see documentation
\tvalue - value for given parameter"""

def print_Error():
    print 'Invalid arguments. Run n9config with "-help" switch for exploring usage';


if __name__ == '__main__':
    if len(sys.argv) <= 1:
        print_Help();
    else:
        if len(sys.argv) == 2 and (string.upper(sys.argv[1]) == '--HELP' or
         string.upper(sys.argv[1]) == '-HELP' or
         string.upper(sys.argv[1]) == '-H' or
         string.upper(sys.argv[1]) == '-?' or
         string.upper(sys.argv[1]) == '/?'):
            print_Help();
        else:
            if len(sys.argv) == 2 and (string.upper(sys.argv[1]) == 'DISPLAY'):
                f = open(os.path.join(N9.FOLDER_CONFIG, N9.FILE_N9_CONFIG), 'r');
                s = f.read();
                f.close();
                print s;
                sys.exit()
                
            if len(sys.argv) == 3 and (string.upper(sys.argv[1]) == 'SET'):
                d = N9.ParseQVM(os.path.join(N9.FOLDER_CONFIG, N9.FILE_N9_CONFIG))
                s = sys.argv[2]
                s = string.replace(s, '"', '');
                t = string.split(s, '=', 1);
                key = t[0];
                val = t[1];
                d[key] = val;
                f = open(os.path.join(N9.FOLDER_CONFIG, N9.FILE_N9_CONFIG), 'w+');
                for k in d.keys():
                    f.write(k + '=' + d[k] + '\n');
                f.flush();
                f.close();
                sys.exit();
                
            print_Error();
