# N9 command-line interface utilities
# N9 Package bootstrapper
# 2007 cyberlight systems research lab

import sys;
import string
import N9;
import os.path;


def print_Help():
    print """n9runpkg - codename:N9 package bootstrap utility.
licensed under GPL v.2
(c) 2007 cyberlight systems
usage: n9runpkg PACKAGE-FILE [-vnc]
where:
\tPACKAGE-FILE    - .tgz package file name for run
\t[-vnc]          - optional paraneter for enforcing headless VNC server mode"""

def print_Error():
    print 'Invalid arguments. Run n9runpkg with "-help" switch for exploring usage';

def do_RunPackage(VNC):
    s = sys.argv[1];
    s = string.replace(s, '"', '');
    s = string.replace(s, '\n', '');
    N9.execute_Package(s, VNC);
    
if __name__ == '__main__':
    VNC = False;
    if len(sys.argv) <= 1:
        print_Help();
    else:
        if len(sys.argv) == 2 and (string.upper(sys.argv[1]) == '--HELP' or
         string.upper(sys.argv[1]) == '-HELP' or
         string.upper(sys.argv[1]) == '-H' or
         string.upper(sys.argv[1]) == '-?' or
         string.upper(sys.argv[1]) == '/?'):
            print_Help();
        else:
            if len(sys.argv) > 2 and string.upper(sys.argv[2]) == '-VNC':
                VNC = True;
            if len(sys.argv) >= 2:
                do_RunPackage(VNC);
